import GxObject from "../lang/GxObject";
import GxUser from "../lang/GxUser";
import GxRegionProc from "./GxRegionProc";
import GxTask from "./GxTask";
export default class GxRegion extends GxObject {
    /**
     * 更新时所包含的数据ID集合
     * 注意：如果该集合不为空，则GxObject.Id为projectId
     *      否则GxObject.Id为Region唯一标识
     */
    ids: Array<number>;
    /**
     * 该区域所在位置或者别名，例如郑州市，南京市
     */
    alias: string;
    /**
     * 该区域的工作量
     */
    workload: number;
    /**
     * 难易度
     */
    difficulty: number;
    /**
     * 工天
     */
    workday: number;
    /**
     * 该区域被安排的作业员
     */
    assigner: GxUser;
    /**
     * 该区域在执行的任务
     * 说明：任务来源于配置完成度的工序
     */
    task: GxTask;
    creatTime: string;
    updateTim: string;
    progress: number;
    /**
     * 该数据相关工序情况
     */
    procs: Array<GxRegionProc>;
    constructor(options?: any);
}
